## MxItemFactory MxItemFactory |

## Synopsis

                        MxItemFactory;
    struct              MxItemFactoryIface;
    ClutterActor *      mx_item_factory_create              (MxItemFactory *factory);

## Object Hierarchy

      GInterface
       +----MxItemFactory

## Description

## Details

### MxItemFactory

    typedef struct _MxItemFactory MxItemFactory;

This is an opaque structure whose members cannot be directly accessed.

### struct MxItemFactoryIface

    struct MxItemFactoryIface {
      /* vfuncs, not signals */
      ClutterActor *(* create) (MxItemFactory *factory);
    };

Interface for creating custom items

`create` () | virtual function called when creating a new item

### mx_item_factory_create ()

    ClutterActor *      mx_item_factory_create              (MxItemFactory *factory);

Create an item

`factory` : | A MxItemFactory
Returns : | the new item. [transfer full]